> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tag

> Update a tag for leads in a agent



## OpenAPI

````yaml put /agents/{agentId}/leads/tags/{tagId}
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /agents/{agentId}/leads/tags/{tagId}:
    put:
      tags:
        - Leads
      summary: Update Tag
      description: Update a tag for leads in a agent
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: agentId
          in: path
          required: true
          description: The ID of the agent
          schema:
            type: string
        - name: tagId
          in: path
          required: true
          description: The ID of the tag
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
                  description: The label of the tag
      responses:
        '200':
          description: OK - Tag successfully updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    description: The ID of the tag
                  label:
                    type: string
                    description: The label of the tag
                  system:
                    type: boolean
                    description: Whether the tag is a system tag
        '500':
          description: Internal Server Error
          content: {}

````